%define name mail-notification
%define version 2.0
%define release 3mdk
%define evo 2.2

Version: 	%{version}
Summary: 	New mail status tray icon
Name: 		%{name}
Release: 	%{release}
License: 	GPL
Group: 		Networking/Mail
Source: 	http://savannah.nongnu.org/download/mailnotify/%{name}-%{version}.tar.bz2
Source1: mail-notification-evolution-2.2.3-headers.tar.bz2
Patch:		mail-notification-2.0-errno.patch.bz2
Patch1:		mail-notification-2.0-gmail-properties-fix.diff.bz2
#Patch2: 	mail-notification-2.0-evo2.4.patch.bz2
URL: 		http://www.nongnu.org/mailnotify/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  libeel-devel >= 2.6
BuildRequires:  libsoup-devel >= 2.2
BuildRequires:  libsasl-devel
BuildRequires:  openssl-devel
BuildRequires:	libgmime-devel
BuildRequires:  ImageMagick
BuildRequires: evolution-devel = 2.2.3
BuildRequires:  gob2
BuildRequires:  scrollkeeper
BuildRequires:  perl-XML-Parser
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
Mail Notification is a status icon (aka tray icon) that informs you if 
you have new mail. It works with system trays implementing the 
freedesktop.org System Tray Specification, such as the GNOME Panel 
Notification Area, the Xfce Notification Area, and the KDE System Tray. 
Mail Notification features include multiple mailbox support, mbox, MH, 
Maildir, Sylpheed, POP3, IMAP, and Gmail support, SASL and APOP 
authentication support, SSL support, automatic detection of mailbox 
format, automatic notification, and HIG 2.0 compliance.

%package evolution
Group: 		Networking/Mail
Requires: %name = %version
Summary: New mail status tray icon for Evolution

%description evolution
Mail Notification is a status icon (aka tray icon) that informs you if 
you have new mail. It works with system trays implementing the 
freedesktop.org System Tray Specification, such as the GNOME Panel 
Notification Area, the Xfce Notification Area, and the KDE System Tray. 

Install this if you use Evolution.

%prep

%setup -q -a 1
%patch -p1
%patch1 -p0
#%patch2 -p1
#aclocal -I m4
#autoconf
#automake

%build

%configure2_5x --with-evolution-source-dir=`pwd`

%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
rm -f %buildroot%_libdir/evolution/%evo/plugins/*a
%find_lang %name --with-gnome
mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name} --display-main-window" \
 icon="%{name}.png" \
 longtitle="Get notified when new mail arrives" \
 needs="x11" \
 section="Internet/Mail" \
 title="Mail Notification" \
 startup_notify="yes"
EOF
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/%name.png %{buildroot}%{_liconsdir}/%{name}.png
convert -scale 32 art/%name.png %{buildroot}%{_iconsdir}/%{name}.png
convert -scale 16 art/%name.png %{buildroot}%{_miconsdir}/%{name}.png


%post 
%update_menus
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool --makefile-install-rule %{_sysconfdir}/gconf/schemas/mail-notification.schemas > /dev/null
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%preun
if [ "$1" = "0" ]; then
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/mail-notification.schemas > /dev/null
fi

%postun
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr (-,root,root)
%doc README COPYING INSTALL TODO 
%_bindir/*
%_datadir/%name
%_datadir/pixmaps/*
%_datadir/applications/*
%dir %_datadir/omf/mail-notification/
%_datadir/omf/mail-notification/%name-C.omf
%_libdir/bonobo/servers/*
%_sysconfdir/gconf/schemas/*
%config(noreplace) %_sysconfdir/sound/events/*
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%files evolution
%defattr (-,root,root)
%doc COPYING
%_libdir/evolution/%evo/plugins/*

%changelog
* Sun Aug 14 2005 Gtz Waschk <waschk@mandriva.org> 2.0-3mdk
- enable evolution support

* Sun Aug 14 2005 Gtz Waschk <waschk@mandriva.org> 2.0-2mdk
- register scrollkeeper files
- add menu entry
- patch for gmail

* Wed Aug 10 2005 Gtz Waschk <waschk@mandriva.org> 2.0-1mdk
- fix file list
- small build patch
- New release 2.0

* Mon Mar 07 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- 1.1

* Thu Nov 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- New release 1.0

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99-1mdk
- fix buildrequires
- New release 0.99

* Thu Nov 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Mon Nov  1 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- New release 0.8.0

* Mon Oct 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.7.1-1mdk
- New release 0.7.1

* Thu Oct  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- update file list
- build with soup
- source URL
- New release 0.7.0

* Tue Oct  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-3mdk
- fix buildrequires

* Wed Sep 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-2mdk
- fix buildrequires

* Sun Sep 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Release 0.6.2
- Fix gconf schema install
- Remove pacth0 (merged upstream)

* Fri Aug 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-0.2mdk
- add patch0 for ia64, ppc & x86_64

* Fri Aug 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-0.1mdk
- new, please test
- no Gmail support without libsoup-1x
